For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Workspaces
      • POSTCreate Workspace
      • GETGet Workspace
      • DELDelete Workspace
      • PATCHUpdate Workspace
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceworkspaces

Delete Workspace

DELETE
/api/v1/workspaces/:workspace_id
DELETE
/api/v1/workspaces/:workspace_id
$curl -X DELETE https://api.onepin.ai/api/v1/workspaces/workspace_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {},
3 "meta": {
4 "request_id": "a3f47b9e-8c2d-4f1a-9b7e-2d5f6c8a9e12",
5 "timestamp": "2024-04-27T14:45:00Z"
6 }
7}

Soft-delete a workspace and cascade soft-delete to its resources.

Was this page helpful?
Previous

Update Workspace

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token

Path parameters

workspace_idstringRequiredformat: "uuid"

Response

Successful Response
datamap from strings to any
metaobject

Errors

422
Unprocessable Entity Error